Package org.apache.sling.caconfig.management

# Interface ValueInfo<T>

Type Parameters:
  `T` - Property type

@ProviderType public interface ValueInfo<T>
Provides detailed information about a given configuration value.

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getConfigSourcePath()`
Get the path of the configuration resource the value is stored in.
`T`
`getEffectiveValue()`
Get value storedf or the current context path, or inherited from upper levels, or the default value.
`@NotNull String`
`getName()`
Property name.
`@Nullable org.apache.sling.caconfig.spi.metadata.PropertyMetadata<T>`
`getPropertyMetadata()`
Property metadata.
`T`
`getValue()`
Get value stored for the current context path.
`boolean`
`isDefault()`
`boolean`
`isInherited()`
`boolean`
`isOverridden()`

## Method Details

### getName

@NotNull @NotNull String getName()
Property name.

Returns:
  Property name.

### getPropertyMetadata

@Nullable @Nullable org.apache.sling.caconfig.spi.metadata.PropertyMetadata<T> getPropertyMetadata()
Property metadata.

Returns:
  Property metadata. Null if no metadata exists.

### getValue

@Nullable T getValue()
Get value stored for the current context path. No inherited value. No default value.

Returns:
  Value

### getEffectiveValue

@Nullable T getEffectiveValue()
Get value storedf or the current context path, or inherited from upper levels, or the default value.

Returns:
  Value

### getConfigSourcePath

@Nullable @Nullable String getConfigSourcePath()
Get the path of the configuration resource the value is stored in.

Returns:
  Resource path or null if no resource associated.

### isDefault

boolean isDefault()

Returns:
  true if no value is defined but a default value is returned.

### isInherited

boolean isInherited()

Returns:
  true if the value is not defined for the current context path but inherited from upper levels.

### isOverridden

boolean isOverridden()

Returns:
  true if the value is overridden by an configuration override provider.